| Home | Libraries | People | FAQ | More

## Macro BOOST_VARIANT_ENUM_SHIFTED_PARAMS

BOOST_VARIANT_ENUM_SHIFTED_PARAMS — Enumerate all but the first parameter for use with `variant`.

## Synopsis

    // In header: <boost/variant/variant_fwd.hpp>

    BOOST_VARIANT_ENUM_SHIFTED_PARAMS(param)

## Description

Expands to a comma-separated sequence of length `BOOST_VARIANT_LIMIT_TYPES - 1`, where each element in the sequence consists of the concatenation of param with its one-based index into the sequence. That is, `param ## 1, ..., param ## BOOST_VARIANT_LIMIT_TYPES - 1`.

Note: This macro results in the same expansion as `BOOST_VARIANT_ENUM_PARAMS` -- but without the first term.